Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.core
Enum Image.Type

    java.lang.Object
      java.lang.Enum<Image.Type>
          org.jboss.seam.core.Image.Type

All Implemented Interfaces:
  Serializable, Comparable<Image.Type>

Enclosing class:
  Image

    public static enum Image.Type

extends Enum<Image.Type>

Enum Constant Summary
`IMAGE_GIF`
`IMAGE_JPEG`
`IMAGE_PNG`

Method Summary
`List<String>` | `getAlternativeMimeTypes()`
`String` | `getExtension()`
`protected String` | `getImageFormatName()`
`String` | `getMimeType()`
`static Image.Type` | `getTypeByFormatName(String formatName)`
`static Image.Type` | `getTypeByMimeType(String mimeType)`
`static Image.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Image.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMAGE_PNG

    public static final Image.Type IMAGE_PNG

### IMAGE_JPEG

    public static final Image.Type IMAGE_JPEG

### IMAGE_GIF

    public static final Image.Type IMAGE_GIF

Method Detail

### values

    public static final Image.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Image.Type c : Image.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Image.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getMimeType

    public String getMimeType()

### getExtension

    public String getExtension()

### getAlternativeMimeTypes

    public List<String> getAlternativeMimeTypes()

### getImageFormatName

    protected String getImageFormatName()

### getTypeByMimeType

    public static Image.Type getTypeByMimeType(String mimeType)

### getTypeByFormatName

    public static Image.Type getTypeByFormatName(String formatName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD